Page MenuHomePhabricator

wdqs-frontend BRAND_TITLE env var doesn't appear to work
Closed, ResolvedPublic

Description

using the latest docker image for the wdqs-frontend and the following docker compose snippet:

wdqs-frontend:
  image: wikibase/wdqs-frontend:latest
  ports:
   - "8282:80"
  depends_on:
  - wdqs-proxy
  environment:
    BRAND_TITLE: 'Wikibase Registry Query Service'
  networks:
    default:
      aliases:
       - wdqs-frontend.svc

the query service front end name has not been set:

This is likely due to change in the frontend code & configuration and should be fixed.

Details

Related Gerrit Patches:
operations/debs/contenttranslation/apertium-streamparser : masterapertium-streamparser: Initial Debian packaging

Event Timeline

Addshore created this task.Apr 25 2018, 8:59 AM
Restricted Application added a project: Wikidata. · View Herald TranscriptApr 25 2018, 8:59 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Addshore moved this task from Backlog to Bugs on the Wikibase-Containers board.Apr 25 2018, 2:01 PM

Change 431553 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[operations/debs/contenttranslation/apertium-streamparser@master] apertium-streamparser: Initial Debian packaging

https://gerrit.wikimedia.org/r/431553

Patch linked does not related to this ticket.

Change 431553 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[operations/debs/contenttranslation/apertium-streamparser@master] apertium-streamparser: Initial Debian packaging

https://gerrit.wikimedia.org/r/431553

Change 431553 merged by Alexandros Kosiaris:
[operations/debs/contenttranslation/apertium-streamparser@master] apertium-streamparser: Initial Debian packaging

https://gerrit.wikimedia.org/r/431553

Addshore triaged this task as Medium priority.Jun 26 2018, 4:09 PM
Vvjjkkii renamed this task from wdqs-frontend BRAND_TITLE env var doesn't appear to work to kaeaaaaaaa.Jul 1 2018, 1:13 AM
Vvjjkkii raised the priority of this task from Medium to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from kaeaaaaaaa to wdqs-frontend BRAND_TITLE env var doesn't appear to work.Jul 1 2018, 6:55 AM
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.
CommunityTechBot lowered the priority of this task from High to Medium.Jul 3 2018, 1:14 AM
Addshore moved this task from incoming to ready to go on the Wikidata board.Aug 20 2018, 3:25 PM

this is likely to be due to the custom-config.json file not being properly fetched from the client: it works when building the image from the current master, instead of relying on wikibase/wdqs-frontend:latest image (it could be that it now also works on latest if it was updated lately)

Addshore closed this task as Resolved.Oct 31 2019, 6:56 AM
Addshore claimed this task.

(it could be that it now also works on latest if it was updated lately)

It has been, so I'm going to assume that it is working now (we had many people using this last weekend).

Please re open if this is still a problem.

Restricted Application added a project: User-Addshore. · View Herald TranscriptOct 31 2019, 6:56 AM